Skip to main content
GET
/
api
/
v2
/
alpha
/
sources
cURL
curl --request GET \
  --url https://api.shuriken.trade/api/v2/alpha/sources \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "sources": [
      {
        "connectionId": "<string>",
        "connectionType": "<string>",
        "enabled": true,
        "createdAt": "<string>",
        "name": "<string>",
        "platform": "<string>",
        "source": "<string>"
      }
    ]
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Response

Connected alpha sources

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)